package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("base_class")
@ApiModel(value = "学生班级", description = "学生班级管理")
public class BaseClass extends AuditEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;

    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long teacherId;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
}
